Skip to main content
GET
List contacts

Authorizations

api_key
string
header
required

Your Commenda Integrations API key, sent in the api_key header.

Path Parameters

companyId
integer
required

Commenda company id.

Query Parameters

limit
integer
default:20

Max records to return.

Required range: x <= 100
next
string

Cursor for the next page (from a previous response).

prev
string

Cursor for the previous page.

include_deleted_records
boolean

Include soft-deleted records.

return_count
boolean

Include the total match count in the response.

expand
string

Comma-separated related resources to expand: addresses, phone_numbers, external_links.

type[eq]
enum<string>

Exact match on type.

Available options:
CUSTOMER,
VENDOR,
BOTH,
UNKNOWN
type[in]
string

Comma-separated type values (OR match).

status[eq]
enum<string>

Exact match on status.

Available options:
ACTIVE,
INACTIVE,
SUSPENDED,
ARCHIVED,
UNKNOWN
status[in]
string

Comma-separated status values (OR match).

name[eq]
string

Exact match on name.

name[in]
string

Comma-separated name values (OR match).

email[eq]
string

Exact match on email.

email[in]
string

Comma-separated email values (OR match).

phone[eq]
string

Exact match on phone.

phone[in]
string

Comma-separated phone values (OR match).

rootfi_integration_type[eq]
string

Exact match on rootfi_integration_type.

rootfi_integration_type[in]
string

Comma-separated rootfi_integration_type values (OR match).

rootfi_updated_at[eq]
string

Exact match on rootfi_updated_at.

rootfi_updated_at[in]
string

Comma-separated rootfi_updated_at values (OR match).

rootfi_updated_at[gte]
string

rootfi_updated_at greater-than-or-equal.

rootfi_updated_at[lte]
string

rootfi_updated_at less-than-or-equal.

created_at[eq]
string

Exact match on created_at.

created_at[in]
string

Comma-separated created_at values (OR match).

created_at[gte]
string

created_at greater-than-or-equal.

created_at[lte]
string

created_at less-than-or-equal.

updated_at[eq]
string

Exact match on updated_at.

updated_at[in]
string

Comma-separated updated_at values (OR match).

updated_at[gte]
string

updated_at greater-than-or-equal.

updated_at[lte]
string

updated_at less-than-or-equal.

Response

200 - application/json

A paginated list of contacts.

data
object
required
request_id
string
required